﻿@model IEnumerable<Paw_park.Models.Dog>

@{
    ViewBag.Title = "Index";
}

<h2>Kõik koerad</h2>

<p>
    @Html.ActionLink("Lisa uus koer", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Breed)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Gender)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Cut)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.BirthDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Age)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Size)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Educ)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OffersForDog)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PictureId)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.Name)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Breed)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.DogGenderType)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CutValue)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.BirthDate)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.DogAge)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.DogSizeType)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.DogEducLevelName)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.OffersForDogValue)
    </td>
    <td>
        @*@Html.DisplayFor(modelItem => item.PictureId)*@
        <img src="@Url.Action("Content", "DataFiles", new { id = item.PictureId })" height="100" />
    </td>
    <td>
        @Html.ActionLink("Muuda", "Edit", new { id = item.Id }) |
        @Html.ActionLink("Vaata", "Details", new { id = item.Id }) |
        @Html.ActionLink("Kustuta", "Delete", new { id = item.Id })
    </td>
</tr>
}

</table>
